std::remove_pointer< _Tp >(3cxx)

NAME
std::remove_pointer< _Tp > - remove_pointer

SYNOPSIS

#include <type_traits>

Inherits std::__remove_pointer_helper< _Tp, typename >.

  Public Types

typedef _Tp type

Detailed Description

  template<typename _Tp>
struct std::remove_pointer< _Tp >"remove_pointer

Definition at line 1875 of file type_traits.

Member Typedef Documentation

  template<typename _Tp , typename > typedef _Tp std::__remove_pointer_helper< _Tp, typename >::type [inherited]

Definition at line 1867 of file type_traits.

Author

Generated automatically by Doxygen for libstdc++ from the source code.